curl --location 'https://api.myvocal.ai/sound_clone/api/v1/voices/design/save' \
--header 'accessKey: xxxx' \
--header 'Content-Type: application/json' \
--data '{
"designId": "cbadQRR3tRp9QmikK8jv",
"name": "test"
}'
{
"code": 1,
"message": "Success",
"data": {
"id": "7814"
}
}
{
"code": -1,
"message": "error msg",
}
Voice
Design Voice for TTS_Save
Save the voice you design as voice_id
POST
/
sound_clone
/
api
/
v1
/
voices
/
design
/
save
curl --location 'https://api.myvocal.ai/sound_clone/api/v1/voices/design/save' \
--header 'accessKey: xxxx' \
--header 'Content-Type: application/json' \
--data '{
"designId": "cbadQRR3tRp9QmikK8jv",
"name": "test"
}'
{
"code": 1,
"message": "Success",
"data": {
"id": "7814"
}
}
{
"code": -1,
"message": "error msg",
}
Header
string
required
You can copy your api-key on https://www.myvocal.ai/profile after you have subscribed to Pro or Business Plan.
Body
string
required
Please do not exceed 32 characters in length.
string
required
The designId included in the callback when you use Design Voice for TTS_Generate
Response
number
Indicates whether the call was successful. 1 if successful.
string
When an exception occurs, specific exception information will be provided in the message.
object
Includes specific data.
Show Toggle object
Show Toggle object
string
When you need to use TTS or other features, voiceId needs to be provided.
curl --location 'https://api.myvocal.ai/sound_clone/api/v1/voices/design/save' \
--header 'accessKey: xxxx' \
--header 'Content-Type: application/json' \
--data '{
"designId": "cbadQRR3tRp9QmikK8jv",
"name": "test"
}'
{
"code": 1,
"message": "Success",
"data": {
"id": "7814"
}
}
{
"code": -1,
"message": "error msg",
}
